
scoreboard players add current Level 1
execute if score current Level matches 12.. store success score robojectory GoToMenu run scoreboard players set current Level 1
execute as @e[type=armor_stand,tag=level_loader] at @s store result entity @s Pos[2] double 32 run scoreboard players get current Level
execute as @e[type=armor_stand,tag=level_loader] at @s run tp ~ ~ ~0.5

gamemode adventure @p
title @p clear

scoreboard players set robojectory Active 1
execute if score robojectory GoToMenu matches 1 run scoreboard players set x CGUIcoordinate 0
execute if score robojectory GoToMenu matches 1 run scoreboard players set y CGUIcoordinate 0
execute if score robojectory GoToMenu matches 1 run scoreboard players set robojectory Active 0
execute if score robojectory GoToMenu matches 1 run scoreboard players reset robojectory GoToMenu

scoreboard players reset primary GoalAccessible
scoreboard players reset secondary GoalAccessible
scoreboard players reset robojectory AllRobotsReachedTheirGoal

function robojectory:reset_player_inventory
kill @e[tag=game_entity]
execute as @e[type=armor_stand,tag=level_loader] at @s run clone ~ ~ ~ ~31 ~15 ~31 0 0 0 replace normal
fill -2 -2 -2 33 17 33 barrier replace bedrock

clone 0 0 0 31 15 31 -1024 0 0 filtered dispenser move
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/primary_robot_east"} replace dispenser[facing=east]
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/primary_robot_north"} replace dispenser[facing=north]
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/primary_robot_south"} replace dispenser[facing=south]
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/primary_robot_west"} replace dispenser[facing=west]

clone 0 0 0 31 15 31 -1024 0 0 filtered blue_candle move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_1,primary],block_state:{Name:'minecraft:copper_block'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace blue_candle[candles=1]
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_2,primary],block_state:{Name:'minecraft:exposed_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace blue_candle[candles=2]
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_3,primary],block_state:{Name:'minecraft:weathered_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace blue_candle[candles=3]
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_4,primary],block_state:{Name:'minecraft:oxidized_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace blue_candle[candles=4]

clone 0 0 0 31 15 31 -1024 0 0 filtered dropper move
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/secondary_robot_east"} replace dropper[facing=east]
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/secondary_robot_north"} replace dropper[facing=north]
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/secondary_robot_south"} replace dropper[facing=south]
fill -1024 0 0 -992 15 31 command_block{auto:1b,Command:"/function robojectory:level_system/secondary_robot_west"} replace dropper[facing=west]

clone 0 0 0 31 15 31 -1024 0 0 filtered red_candle move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_1,secondary],block_state:{Name:'minecraft:cut_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace red_candle[candles=1]
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_2,secondary],block_state:{Name:'minecraft:exposed_cut_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace red_candle[candles=2]
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_3,secondary],block_state:{Name:'minecraft:weathered_cut_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace red_candle[candles=3]
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_collectable,starting_number_4,secondary],block_state:{Name:'minecraft:oxidized_cut_copper'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace red_candle[candles=4]

clone 0 0 0 31 15 31 -1024 0 0 filtered cobblestone move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,crate],block_state:{Name:'minecraft:cobblestone'},interpolation_duration:0,transformation:[1.000f, -0.000f, -0.000f,-0.500f,0.000f, 1.000f, -0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace cobblestone

clone 0 0 0 31 15 31 -1024 0 0 filtered orange_concrete move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,barrier_switch,O],block_state:{Name:'minecraft:orange_concrete'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace orange_concrete

clone 0 0 0 31 15 31 -1024 0 0 filtered orange_terracotta move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,barrier,starting_clear_state_0,O],block_state:{Name:'minecraft:orange_terracotta'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace orange_terracotta

clone 0 0 0 31 15 31 -1024 0 0 filtered yellow_concrete move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,barrier_switch,X],block_state:{Name:'minecraft:yellow_concrete'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace yellow_concrete

clone 0 0 0 31 15 31 -1024 0 0 filtered yellow_terracotta move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,barrier,starting_clear_state_0,X],block_state:{Name:'minecraft:yellow_terracotta'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace yellow_terracotta

clone 0 0 0 31 15 31 -1024 0 0 filtered green_concrete move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,barrier_switch,Square],block_state:{Name:'minecraft:green_concrete'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace green_concrete

clone 0 0 0 31 15 31 -1024 0 0 filtered green_terracotta move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,barrier,starting_clear_state_0,Square],block_state:{Name:'minecraft:green_terracotta'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace green_terracotta

clone 0 0 0 31 15 31 -1024 0 0 filtered red_terracotta move
fill -1024 0 0 -993 15 31 command_block{auto:1b,Command:"/summon block_display ~1024 ~ ~ {Tags:[game_entity,robot_move_point,secondary],block_state:{Name:'minecraft:red_terracotta'},transformation:[1.000f, 0.000f, 0.000f,-0.500f,0.000f, 1.000f, 0.000f,-0.500f,0.000f, 0.000f, 1.000f,-0.500f,0.000f, 0.000f, 0.000f,1.000f]}"} replace red_terracotta
